Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.qms
Class RequestContainer

    java.lang.Object
      lbg.peer.core.qms.RequestContainer

    public class RequestContainer

extends java.lang.Object

A RequestContainer stores a Task that is scheduled and its scheduling id. It may also store its scheduling context and the Consumption and Data trackers of its owner Job.

Author:
  Cyril Briquet

Constructor Summary
`RequestContainer(Task t, java.lang.Integer task_scheduling_id)`

Method Summary
`JobConsumptionDataTracker` | `getJobConsumptionDataTracker()`
`JobConsumptionOutcomeTracker` | `getJobConsumptionOutcomeTracker()`
`TaskSchedulingContext` | `getSchedulingContext()`
`Task` | `getTask()`
`java.lang.Integer` | `getTaskSchedulingID()`
`boolean` | `hasSchedulingContext()`
`void` | `setJobConsumptionDataTracker(JobConsumptionDataTracker job_data_tracker)`
`void` | `setJobConsumptionOutcomeTracker(JobConsumptionOutcomeTracker job_consumption_outcome_tracker)`
`void` | `setSchedulingContext(TaskSchedulingContext tsc)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestContainer

    public RequestContainer(Task t,
                            java.lang.Integer task_scheduling_id)
                     throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTask

    public Task getTask()

### getTaskSchedulingID

    public java.lang.Integer getTaskSchedulingID()

### hasSchedulingContext

    public boolean hasSchedulingContext()

### setSchedulingContext

    public void setSchedulingContext(TaskSchedulingContext tsc)
                              throws GridException

  Throws:
    `GridException`

### getSchedulingContext

    public TaskSchedulingContext getSchedulingContext()
                                               throws GridException

  Throws:
    `GridException`

### setJobConsumptionOutcomeTracker

    public void setJobConsumptionOutcomeTracker(JobConsumptionOutcomeTracker job_consumption_outcome_tracker)
                                         throws GridException

  Throws:
    `GridException`

### getJobConsumptionOutcomeTracker

    public JobConsumptionOutcomeTracker getJobConsumptionOutcomeTracker()
                                                                 throws GridException

  Throws:
    `GridException`

### setJobConsumptionDataTracker

    public void setJobConsumptionDataTracker(JobConsumptionDataTracker job_data_tracker)
                                      throws GridException

  Throws:
    `GridException`

### getJobConsumptionDataTracker

    public JobConsumptionDataTracker getJobConsumptionDataTracker()
                                                           throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.